# frozen_string_literal: true

module ErgomentumRspec
  module Helpers
    module Environment
      def mock_environment_variables(options)
        stub_const("ENV", ENV.to_h.merge(options))
      end
    end

    RSpec.configure do |config|
      config.include Environment
    end
  end
end
